#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-3HYoCU3B1g6LO2WHSFYLNC
key:                  lsp-1.6.0.0-3HYoCU3B1g6LO2WHSFYLNC
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  540ba957955e5367f943765ed1c5af2b
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.1-27WeyqslPB6K6EPg31biJY:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.1-27WeyqslPB6K6EPg31biJY:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.1-27WeyqslPB6K6EPg31biJY:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-3HYoCU3B1g6LO2WHSFYLNC
depends:
    aeson-2.1.2.1-EZ4q40CmD1e6rYIqwxbubT
    async-2.2.5-8OaaAgguhBf8cQN41yeIS0
    attoparsec-0.14.4-K6A3Lnx18lt9B7Ad03ungd base-4.17.2.1
    bytestring-0.11.5.3 co-log-core-0.3.2.5-BGmu1hlqP7V9a020maCcZl
    containers-0.6.7 data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi
    directory-1.3.7.1 exceptions-0.10.5 filepath-1.4.2.2
    hashable-1.4.4.0-7zzKXDBa1HP1F6vPi1Tvtg
    lens-5.2.3-148nx0hX4StFWbfsZnMUgs
    lsp-types-1.6.0.1-27WeyqslPB6K6EPg31biJY mtl-2.2.2
    prettyprinter-1.7.1-K49FGRh0RcS7wKSRgaQVIq
    random-1.2.1.2-DMddtPYQ40b7NoL9BGCIdx
    sorted-list-0.2.3.1-JVDzKPsjXnxCW2AbKFJ9rr stm-2.5.1.0
    temporary-1.3-KrnV93DB6hBAYgorLtz1qq text-2.0.2
    text-rope-0.3-4b6CnujXtk5KXxkR4QaMzJ transformers-0.5.6.2
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-Kq2dPHqifzB9n0MYGmTosg
    uuid-1.3.16-7KXHlNOPcUrJHrkgdp2jGD

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

